#ifndef QRICHBUTTON_H
#define QRICHBUTTON_H

#include <QPushButton>

class QRichButton : public QPushButton
{
    Q_OBJECT
public:
    explicit    QRichButton(QWidget *parent = 0);

    void        setHtml(const QString &html);
    void        setEnableRich(bool enabled);
    void        setCounter(int n);

protected:
    void        paintEvent(QPaintEvent *pe);

signals:

public slots:

private:
    QString     _html;
    bool        _rich_enabled;
    int         _counter;
};

#endif // QRICHBUTTON_H
